import React, { lazy } from 'react';
import * as routes from './../constants/routes';

// import SignIn from '../components/public/SignIn';
const SignIn = lazy(() => import('./../components/public/SignIn'))

export default [
    {
        path: routes.LANDING,
        access: 'public',
        component: () => <div>landing</div>
    },
    {
        path: routes.SIGN_IN,
        access: 'public',
        component: SignIn
    },
    {
        path: routes.SIGN_UP,
        access: 'public',
        component: () => <div>sign up</div>
    },
    {
        path: routes.HOME,
        access: 'user-only',
        component: () => <div>home</div>
    },
    {
        path: routes.CATEGORIES,
        access: 'user-only',
        component: () => <div>categories</div>
    },
    {
        path: routes.PROFILE,
        access: 'user-only',
        component: () => <div>profile</div>
    },
    {
        path: routes.TESTS,
        access: 'user-only',
        component: () => <div>test</div>
    },
    {
        path: routes.DELETE_USER,
        access: 'admin-only',
        component: () => <div>delete user</div>
    },
    {
        access: 'public',
        component: () => <div>404</div>
    },
]