import { createStore, applyMiddleware } from 'redux';
import { createLogger } from 'redux-logger'
import createSagaMiddleware from "redux-saga";

import combinedReducers from './../reducers';
import initialState from './../reducers/initialState'
import sagas from './../sagas'

const sagaMiddleware = createSagaMiddleware();
const logger = createLogger({
    predicate: (getState, action) => !action.type.includes('@@redux-form')
});

const store = createStore(
    combinedReducers,
    initialState,
    applyMiddleware(sagaMiddleware, logger)
);
export default store;

sagaMiddleware.run(sagas);